#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,216,360,432,504,720,864,936,1008,2016,4032
 * N : 25,216,360,432,504,720,864,936,1008,2016,4032
 * NB : 4,16,16,88,168,156,144,96,180,144,144
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 120) (nb_) = 4; \
   else if ((n_) < 396) (nb_) = 16; \
   else if ((n_) < 468) (nb_) = 88; \
   else if ((n_) < 612) (nb_) = 168; \
   else if ((n_) < 792) (nb_) = 156; \
   else if ((n_) < 900) (nb_) = 144; \
   else if ((n_) < 972) (nb_) = 96; \
   else if ((n_) < 1512) (nb_) = 180; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
